Subject: bug#18255: Selecting a group with RET vs gnus-thread-hide-subtree

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 20:33:38 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Carlos Pita <[email-masked]> writes:
>
>> Selecting with RET is supposed not to select any article in the summary
>> buffer. Nevertheless, if the first article in the summary is an
>> unseen/unread article belonging to a thread, then that thread is
>> expanded, even if gnus-thread-hide-subtree is t. To make things more
>> confusing, the little > at the left fringe is shown in the last article
>> of the summary, not the first.
>
> I've never noticed that thing in the fringe.  :-)  What sets it?

Found it.  Fixed.

>> I think a more sensible behavior is:
>>
>> 1) Show the > at the article SPACE (as opposed to RET) would have
>> selected, but without really selecting it.
>>
>> 2) Don't expand any thread at all (that is, when selecting the group
>> with RET).

I think the problem with 2) is when there's an unread article in the
first thread, but there are some read older articles...  we want to put
point on the first unread article, but to do that we have to expand the
thread.  In general.

So on second thought I'm not sure we want to do that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no